
function ValidaSoloNumeros() {
 if ((event.keyCode < 48) || (event.keyCode > 57)) {
  event.returnValue = false;
}
}
//FUNCION DE SOLO PALABRAS
function txNombres() {
 if ((event.keyCode != 32) && (event.keyCode < 65) || (event.keyCode > 90) && (event.keyCode < 97) || (event.keyCode > 122)){
  event.returnValue = false;
}
}

function validacamposrut() {
 if ((event.keyCode > 47) & (event.keyCode < 58) || (event.keyCode == 107) ){
 }
 else{
 event.returnValue = false;    
 }      
}

function maxLengthCheck(object){
    if (object.value.length > object.maxLength){
         object.value = object.value.slice(0, object.maxLength)
     }
  }

function ValidaSoloNumerosconCOMA() {
 if ((event.keyCode > 47) & (event.keyCode < 58) || (event.keyCode == 46)){

 } else{
     event.returnValue = false;
 }
 
}

  //jQuery('#datepicker').datepicker();

//VALIDACION DEL RUT
function Valida_Rut(Objeto,caja){
var tmpstr = "";
var intlargo = Objeto.value
 if (intlargo.length > 0){ 	

    	crut = Objeto.value ;
    	largo = crut.length;
    
    if ( largo < 2 )
    {
          $('#modalrutinvalido').modal({show:true});

            limpiar = document.getElementById(caja);
            limpiar.value = "";
            limpiar.focus();
             Objeto.focus();
        return false;
    }
    for ( i=0; i < crut.length ; i++ )
                if ( crut.charAt(i) != ' ' && crut.charAt(i) != '.' && crut.charAt(i) != '-' )
                {
                tmpstr = tmpstr + crut.charAt(i);
                }
            rut = tmpstr;
    crut=tmpstr;
    largo = crut.length;

    if ( largo > 2 )
        rut = crut.substring(0, largo - 1);
    else
        rut = crut.charAt(0);

    dv = crut.charAt(largo-1);

    if ( rut == null || dv == null )
            return 0;

    var dvr = '0';
    suma = 0;
    mul  = 2;

    for (i= rut.length-1 ; i >= 0; i--)
    {
        suma = suma + rut.charAt(i) * mul;
        if (mul == 7)
            mul = 2;
        else
            mul++;
    }


    res = suma % 11;
    if (res==1)
        dvr = 'k';
    else if (res==0)
        dvr = '0';
    else
    {
        dvi = 11-res;
        dvr = dvi + "";
    }

    if ( dvr != dv.toLowerCase() )
    {
	$('#modalrutinvalido').modal({show:true});
	limpiar = document.getElementById(caja);
	limpiar.value = "";
	limpiar.focus();
    return false;
    }
    // alert("Rut correcto");
    return true;
  }   
}

 function abrirticket(id_ticket){
     var  ruta ="../negocio/verdatos.php?ticket="+id_ticket+"";
    window.open(ruta,"ORDEN DE TRABAJO",'width=800,height=600,left=320, top=80,toolbar=0,scrollbars=0,statusbar=0,menubar =0,resizable=0');
  }

  function abrirreprogramaciones(id_proyecto,id_detalle,id_calendario,id_reprogramacion){
     $("#opciones_id_detalle").attr("value",id_detalle);
     $("#opciones_id_proyecto").attr("value",id_proyecto);
     $("#opciones_id_reprogramacion").attr("value",id_reprogramacion);
     $("#opciones_id_calendario").attr("value",id_calendario);
     $('#opciones').modal({show:true});
  }

    function historial(id_proyecto,id_detalle,id_calendario,id_reprogramacion){
            var id = id_reprogramacion;
            $.ajax({
             url: "../negocio/actualizarticket.php",
              type:"POST",
              data: {id : id , par1 : "14"},
              success: function(resp){
              var datos = $.parseJSON(resp);
              var mostrar ="";
              $(datos).each(function () {
                 mostrar = mostrar+"<p>"+this.descripcion+"</p>"
              });
              $("#historial_ver").empty();
              $("#historial_ver").html(mostrar);
            },
            error: function (jqXHR,estado,error){
            console.log(estado)
            console.log(error)
            }
            });
     $('#modalhistorial_ver').modal({show:true});
  }

function abrirmodalimagenes(id_imagen,id_detalle){
      $('#id_detalle_eliminar').val(id_detalle);
      $('#id_detalle_imageneeliminar').val(id_imagen);
      $("#imagenmostrar").attr("src","../img/postventa/"+id_imagen+".jpg");
      $('#imagen_eliminar').modal({show:true}); 

}

//ELIMINAMOS LA NOTA
function eliminarnota(id_detallehistorial){
    var id_detallehistorial = id_detallehistorial;
     $.ajax({
      url: "../negocio/actualizarticket.php",
      type:"POST",
      data: {id_detallehistorial : id_detallehistorial , par1 : "9"},
      success: function(resp){
      },
      error: function (jqXHR,estado,error){
        console.log(estado)
        console.log(error)
      }
    });
}

function cargarhorarios(id_proyecto){
  var id_proyecto = id_proyecto;
  $('#horario').empty();
  $("#horario").append(new Option("SELECCIONE...", "0"));
    $.ajax({
      url: "../negocio/calendario.php",
      type:"POST",
      data: {id_proyecto : id_proyecto , par1 : "9"},
      success: function(resp){
        if(resp == 2){
          var option = $(document.createElement('option'));   
          option.text("NO QUEDAN FECHAS DISPONIBLES");
          $("#horario").append(option);
           option.val("no");
          return false;
        }
         var datos = $.parseJSON(resp);
          $(datos).each(function () {
            var option = $(document.createElement('option'));
            option.text(this.fec_inicio);
            option.val(this.id_calendario);
            $("#horario").append(option);
          });
         $("#horario").val("0").attr("selected");
      },
      error: function (jqXHR,estado,error){
        console.log(estado)
        console.log(error)
      }
    });
}




function cargarhorarios2(id_proyecto){
  var id_proyecto = id_proyecto;
  $('#horario').empty();
  $("#horario").append(new Option("SELECCIONE...", "0"));
    $.ajax({
      url: "../negocio/calendario.php",
      type:"POST",
      data: {id_proyecto : id_proyecto , par1 : "9"},
      success: function(resp){
        if(resp == 2){
          var option = $(document.createElement('option'));   
          option.text("NO QUEDAN FECHAS DISPONIBLES");
          $("#horario").append(option);
           option.val("no");
          return false;
        }
         var datos = $.parseJSON(resp);
          $(datos).each(function () {
            var option = $(document.createElement('option'));
            option.text(this.fec_inicio);
            option.val(this.id_calendario);
            $("#horario").append(option);
          });
         $("#horario").val("0").attr("selected");
      },
      error: function (jqXHR,estado,error){
        console.log(estado)
        console.log(error)
      }
    });
}
function cargarhorarios3(id_proyecto){
  var id_proyecto = id_proyecto;
  $('#horario_historial').empty();
  $("#horario_historial").append(new Option("SELECCIONE...", "0"));
    $.ajax({
      url: "../negocio/calendario.php",
      type:"POST",
      data: {id_proyecto : id_proyecto , par1 : "9"},
      success: function(resp){
        if(resp == 2){
          var option = $(document.createElement('option'));   
          option.text("NO QUEDAN FECHAS DISPONIBLES");
          $("#horario_historial").append(option);
           option.val("no");
          return false;
        }
         var datos = $.parseJSON(resp);
          $(datos).each(function () {
            var option = $(document.createElement('option'));
            option.text(this.fec_inicio);
            option.val(this.id_calendario);
            $("#horario_historial").append(option);
          });
         $("#horario_historial").val("0").attr("selected");
      },
      error: function (jqXHR,estado,error){
        console.log(estado)
        console.log(error)
      }
    });
}




function registrar(id){
    event.preventDefault();
    var id_ticket = id;
    //var id_ticket = ($(this).attr('id'));
    $('#idoculto').attr("value",id_ticket);
   // alert(id);
    $.ajax({
    url: "../negocio/inbox.php",
    type:"POST",
    data: {id_ticket : id_ticket , par1 : "11"},
    success: function(resp){
       var datos = $.parseJSON(resp); 
        $(datos).each(function () {
          $('#rut_info').text(this.rut);
          $('#nombre_info').text(this.nombre);
          $('#apellido_info').text(this.ape_paterno+" "+this.ape_materno);
          $('#celular_info').text(this.celular);
          $('#telefono_info').text(this.tel_fijo);
          $('#oficina_info').text(this.tel_oficina);
          $('#correo_info').text(this.email);
          $('#proyecto_info').text(this.condominio);
          $('#depa_info').text(this.num);
          $('#edificio_info').text(this.abreviatura);
          $('#piso_info').text(this.piso);
          $('#orientacion_info').text(this.orientacion);
          $('#escritura_info').text(this.fec_escritura);
          $('#entrega_info').text(this.fec_entrega);        
        });
       
    },
    error: function (jqXHR,estado,error){
      console.log(estado)
      console.log(error)
    }
  });
  
    $.ajax({
    url: "../negocio/inbox.php",
    type:"POST",
    data: {id_ticket : id_ticket , par1 : "2"},
    success: function(resp){
       var datos = $.parseJSON(resp); 
          div_data ="<table class='table table-user-information'><tbody><tr><td>AMBIENTE</td><td>PROBLEMA:</td></tr>"; 
        $(datos).each(function () {
          if(this.ambiente == null){
            div_data = div_data+"<tr><td>--------</td><td>"+this.problema+"</td></tr>";
            $('#idoculto').attr("tag","1");
          }else{ 
          div_data = div_data+ "<tr><td>"+this.ambiente+"</td><td>"+this.problema+"</td></tr>";
            $('#idoculto').attr("tag","0");
          }
        });

        div_data = div_data+"</tbody></table>";
        $("#listaambientes").html(div_data); 
        $('#probando').modal({show:true});
    },
    error: function (jqXHR,estado,error){
      console.log(estado)
      console.log(error)
    }
  });
}



function cancelar(id){
      event.preventDefault();
      $('#descripcioncerrar').val('');
      $('#motivocerrar').val("0").attr("selected");
      var id_ticket = id;
      $('#id_ticket_seleccionado_cancelar').attr("value",id_ticket);
      $('#cancelar_ticket').modal({show:true});
}


function calendario(id,id_proyecto){
    $('#descripcion_reprogramar').val('');
    $('#motivo').val("0").attr("selected");
    var id_proyecto  =id_proyecto
    var id_ticket = id;
    //alert(id_proyecto);
    $('#id_ticket_seleccionado').attr("value",id_ticket);
    cargarhorarios(id_proyecto);
    $('#calendario_reprogramar').modal({show:true});
}


function proceso(id,id_proyecto, tipo){
    $('#posicion_subtitulo').text("  Categorizar");
    var id_ticket = id;
    var id_proyecto  =id_proyecto;
    var tipo_postventa =tipo;
    $("#contenido").load( "categorizacion.php", { id_ticket: id_ticket ,id_proyecto : id_proyecto ,tipo_postventa:tipo_postventa});
    return false;
}

function actualizar(id,id_proyecto,tipo){
    $('#posicion_subtitulo').text("  Actualizando");
    var tipo_postventa =tipo;
    var id_ticket = id;
    var id_proyecto  =id_proyecto;
    $( "#contenido" ).load( "actualizarticket.php", { id_ticket: id_ticket ,id_proyecto : id_proyecto,tipo_postventa : tipo_postventa });
    return false;
}


function eliminarproceso(id){
if ($('#resumentabla').find('tr').length > 2) {
       $('#treliminar'+id).remove();
  }
  else {
        $('#modaleliminar').modal({show:true});
  }
  
}


function eliminardiv(text){
  $('#div_horas'+text).remove();
}


function ticket_radio(id){
    var id = "radio"+id;
    $('#con_reprogramacion').prop('checked', false);
    //$('#'+id).prop('checked',true);

}

